[![lerna](https://img.shields.io/badge/maintained%20with-lerna-cc00ff.svg)](https://lerna.js.org/)

[![pipeline status](https://gitlab.gk.gk-software.com/omnicommerce/app-enablement-api/badges/develop/pipeline.svg)](https://gitlab.gk.gk-software.com/omnicommerce/app-enablement-api/-/commits/develop)

[License](LICENSE.md)

[See an example of usage in client app](https://gitlab.gk.gk-software.com/omnicommerce/app-debug-ts)

# AppEnablement Client API with types support
App Enablement provides access to the functionality of the host application (MobilePOS, OmniPOS, ...). The functionality is provided for a JavaScript applicaton running in the host application. This package introduces types support.

## Development
1. ``npm install``
2. ``tsc`` compiles TypeScript code and places files in dist folder (configuration in tsconfig.json)
3. ``npm link`` create a link to current project
4. In your web project ``npm link @gk-software/app-enablement-adapter`` to use your current development version of npm package

## Test
Not available yet

## Publish new snapshot/release
[See](../../README.md)

## Use as npm dependency
``npm install @gk-software/app-enablement-adapter-ts``
 or
``yarn install @gk-software/app-enablement-adapter-ts``
 adds a dependency to your project.
 
## Code example

**Not completed yet**

NOTE: this example should run as client in host app (like FullPOS, MobilePOS or any other host system which has implemented app enablement API).

Create index html and add built resources as scripts.
For example use sources from npm package in ``node_modeules/gk-software/app-enablement-adapter-ts``.
Use any build support systems like ``gulp`` or ``grunt`` to copy/compile/build the app enablement sources to dedicated folder.

index.html
```html
<!DOCTYPE html>
<html dir="ltr" lang="de-DE">
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>

    <script type="text/javascript" src="index.js"></script>
</head>
<body></body>
</html>
```

Create index.ts file where we add code to communicate with host system.

index.ts
```typescript

import * as AppEnablement from "@gk-software/app-enablement-adapter-ts";

const ApiEnablement = AppEnablement.EnablementProvider.getEnablementApi();
const commonApi = ApiEnablement.getApiByName(AppEnablement.CommonApi.apiName) as any;
const mdApi = ApiEnablement.getApiByName(AppEnablement.MasterDataApi.apiName) as any;
const posApi = ApiEnablement.getApiByName(AppEnablement.PosApi.apiName) as any;

// get current POS session
function getSessionContext() {
  commonApi.getSessionContext((data => {
    this.displayResult("statusGetSessionContext", data)
  }));
}

// load item data from master data
function getItemDataByID() {
  mdApi.getItemDataByID(data => {
    this.displayResult("statuSgetItemDataByID", data);
}, {
    itemID: "1004"
});
}

// load current open transaction from host POS
function getCurrentTransaction() {
  posApi.getCurrentTransaction(data => {
    console.log("statusGetCurrentTransaction", data);
  });
}

getSessionContext();
getItemDataByID();
getCurrentTransaction();
```

In browser console you will see an output
```
index.ts:10 statusGetSessionContext {businessUnitGroupID: "1", businessUnitID: "9090", isoCurrencyCode: "EUR", storeLanguage: "en_US", tenantID: "003", …}
index.ts:16 statuSgetItemDataByID {key: {…}, name: "Apples", description: "", taxGroupID: "A0", taxExemptCode: "NORMAL", …}
index.ts:24 statusGetCurrentTransaction {key: {…}, operatorID: "1", workstationID: "101", businessUnitID: "9090", businessDayDate: "2020-04-24T00:00:00.000", …}```
